Subject: emacs-magit: path error during commit
From: Christopher Howard <[email-masked]>
To: Guix Bug Reports <[email-masked]>
Date: Thu, 28 Oct 2021 06:24:30 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, for a long time I've struggled with getting a path error when I
try to do a commit using emacs-magit. Here is an example log copied from
the magit-process buffer:

```
  0 git … add -u -- Genesis/gen_1.org
  1 git … commit --
hint: Waiting for your editor to close the file...
Waiting for Emacs...
*ERROR*: Searching for program: No such file or directory, git
error: There was a problem with the editor
'/gnu/store/dpky3z5844bclhswdk69z90vayy65b58-emacs-27.2/bin/emacsclient
--socket-name=/run/user/1000/emacs/server'.
Please supply the message using either -m or -F option.
```

I find this confusing because
- I can use magit to stage my commits
- In the Magit Group (M-x customize-group magit), the Magit Git
Executable is set to /home/christopher/.guix-profile/bin/git, and that
file does exist in my profile.
- /gnu/store/dpky3z5844bclhswdk69z90vayy65b58-emacs-27.2/bin/emacsclient 
also does exist
- Within emacs, I can run the shell command M-! git commit or M-! git
commit -m "..." and this works fine.

I suspect that emacs-magit might not be properly using the Magit Git
Executable path for this action, but haven't had a chance to look at the
source code yet. Probably this should be submitted as an issue or
support request to emacs-magit, but I have not done so since (on
principle) I do not have a github account, or use google groups.

Here is my system information;

```
christopher@nightshade ~$ neofetch --stdout
christopher@nightshade 
---------------------- 
OS: Guix System 9aaf402a379b9ac9e4c3eee5b16f7496d7606e91 x86_64 
Host: GA-880GM-UD2H 
Kernel: 5.14.9-gnu 
Uptime: 1 hour, 20 mins 
Packages: 61 (guix-system), 155 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1200 
DE: GNOME 3.34.5 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: .gnome-terminal 
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz 
GPU: NVIDIA GeForce 8400 GS Rev. 3 
Memory: 1338MiB / 7893MiB 
```

-- 
Christopher Howard
Gemini capsule: gemini://gem.librehacker.com
Web version: https://portal.mozz.us/gemini/gem.librehacker.com